Page 1 of 1

Unexplained Joomla errors with Netregistry hosting

Posted: Sun Aug 19, 2018 5:55 am
by cb4limor
Hi, I need help.

My friend has a website built on Joomla - it's at least 8 years old. I have no idea which version of Joomla is being used.

The site is hosted on Netregistry. It is based in Australia.

Last week the site stopped working. We're getting the following error


Deprecated: Assigning the return value of new by reference is deprecated in /websites/do/doublebaymeditation.com.au/includes/joomla.php on line 844

Warning: require_once(): open_basedir restriction in effect. File(/clientdata/clients/d/o/doublebaymeditation.com.au/www/includes/version.php) is not within the allowed path(s): (/phptmp:/tmp:/clientdata/php/lib:/usr/local/php:/usr/local/php/pear-5-6:/clientdata/php/pear-5-6:/websites/do/doublebaymeditation.com.au) in /websites/do/doublebaymeditation.com.au/includes/joomla.php on line 71

Warning: require_once(/clientdata/clients/d/o/doublebaymeditation.com.au/www/includes/version.php): failed to open stream: Operation not permitted in /websites/do/doublebaymeditation.com.au/includes/joomla.php on line 71

Fatal error: require_once(): Failed opening required '/clientdata/clients/d/o/doublebaymeditation.com.au/www/includes/version.php' (include_path='.:/usr/local/php/pear-5-6:/usr/local/php/lib') in /websites/do/doublebaymeditation.com.au/includes/joomla.php on line 71


We have not changed anything on the website. Obviously, they have upgraded some aspects of the server back end. Maybe they have migrated to a new version of PHP without telling us?

Typically, we access the Joomla interface via domain-name.com.au/administrator/ - but now that page doesn't work.

Netregistry has been entirely unhelpful and completely incompetent. The most useful response is to tell us that we need to update Joomla. I'm not sure how we would do that without access to the /administrator interface.

Can someone please point me in the right direction?

Much appreciated.

Re: Unexplained Joomla errors with Netregistry hosting

Posted: Sun Aug 19, 2018 7:04 am
by Webdongle
Update Joomla and all 3rd party extensions.

Re: Unexplained Joomla errors with Netregistry hosting

Posted: Sun Aug 19, 2018 7:23 am
by Per Yngve Berg
The version of php on the server is to new for the version of Joomla.

viewtopic.php?f=621&t=582860 please and post the results.

It's looks like it's php 5.6. The latest version of the 1.5 series (1.5.26)should handle that. You can look in the /includes/version.php file to see the version number.

Here is the upgrade file 1.5.x to 1.5.26: https://downloads.joomla.org/cms/joomla ... format=zip

Re: Unexplained Joomla errors with Netregistry hosting

Posted: Sun Aug 19, 2018 1:18 pm
by Webdongle
If Joomla is that old perhaps consider starting fresh with the latest Joomla?

Re: Unexplained Joomla errors with Netregistry hosting

Posted: Mon Aug 20, 2018 11:05 am
by fcoulter
The issue is this

Code: Select all

Warning: require_once(): open_basedir restriction in effect. File(/clientdata/clients/d/o/doublebaymeditation.com.au/www/includes/version.php) 
This is an issue with the PHP configuration, your host needs to fix it for you. At the moment the open_basedir restriction has been wrongly set, so that PHP cannot open files in the includes folder. These are files that Joomla needs in order to run.

The open_basedir restriction should not be set so that it restricts access to any of the Joomla folders. Presumably someone set this as a "security measure" and had absolutely no idea what they were doing.

You will need to get this fixed before you can do anything else, like updating the site. Any updated site would not work either with this restriction in effect.